Subject: Re: fixing heap_chunk_in_mb to 512MB doesn't work
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Wed, 4 Sep 2002 19:10:17 +0900

Hello, can't help you but I had the same problem.  Sometimes Cygwin's
configuration sits in different parts of the registry, have a look in
LOCAL_MACHINE\Software\..etc..

If you have any luck, let me know, I just had to give up for the time-being.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com
P2P internet radio - http://www.peercast.org

"Christophe Trophime" <[email-masked]> wrote in message
news:[email-masked]...
> As far as I have understood allocation is limited to 128 MB
> in cygwin 1.3.12 but one can increased this limit by setting
> heap_chunk_in_mb registry key.
>
> I tried to fix this value to 512 Mb using :
> regtool set '\user\Software\Cygnus Solutions\Cygwin\heap_chunk_in_mb'
> 512
>
> But when I compile this little test program it fails (Aborted (cored
> dumped)):
>
> #include <iostream>
> using namespace std;
>
> int main(){
>
>    char * tab_ptr = new char [256 * 1024 * 1024];
>    if ( !tab_ptr ) {
>        cerr << "Malloc failed\n";
>        exit(1);
>    }
>    delete tab_ptr;
>    return 0;
> }
>
> Thanks for your help
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/